#include <avr/io.h>
//#include <util/setbaud.h>
#define F_CPU 16000000UL
#define BAUDRATE       9600
void uart_init( void ) 
{
    UBRR0 = 103;

}


void uart_putc(char c) 
{
   if (c == '\n') 
    {
       uart_putc('\r');
    }
   loop_until_bit_is_set(UCSR0A, UDRE0); /* Wait until data register empty. */
   UDR0 = c;
}


void uart_puts(const char *s)
{
  for(int i=0;i<strlen(s);i++)
	uart_putc(s[i]);
}

char uart_getc(void) {
    loop_until_bit_is_set(UCSR0A, RXC0); /* Wait until data exists. */
    return UDR0;
}
